Open Lighting Architecture: ola::web::JsonBool Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::web::JsonBool Class Reference
JSON

## Detailed Description

A Bool value.

Inheritance diagram for ola::web::JsonBool:

## Public Member Functions
| JsonBool (bool value)
| Create a new JsonBool.
bool | operator== (const JsonValue &other) const
| Equality operator.
void | Accept (JsonValueVisitorInterface *visitor)
| The Accept method for the visitor pattern.
void | Accept (JsonValueConstVisitorInterface *visitor) const
| The Accept (const) method for the visitor pattern.
JsonValue * | Clone () const
| Make a copy of this JsonValue.
bool | Value () const
| Return the bool value.
Public Member Functions inherited from ola::web::JsonValue
virtual JsonValue * | LookupElement (const JsonPointer &pointer)
| Locate the JsonValue referred to by the JSON Pointer.
virtual bool | operator!= (const JsonValue &other) const
| Not-equals operator.

## Constructor & Destructor Documentation

## ◆ JsonBool()

ola::web::JsonBool::JsonBool | ( | bool | value | ) |
| inlineexplicit

Create a new JsonBool.

Parameters

  value | the bool to use.

## Member Function Documentation

## ◆ Accept() [1/2]

void ola::web::JsonBool::Accept | ( | JsonValueConstVisitorInterface * | visitor | ) | const
| inlinevirtual

The Accept (const) method for the visitor pattern.

This can be used to traverse the Json Tree in a type-safe manner.

Implements ola::web::JsonValue.

## ◆ Accept() [2/2]

void ola::web::JsonBool::Accept | ( | JsonValueVisitorInterface * | visitor | ) |
| inlinevirtual

The Accept method for the visitor pattern.

This can be used to traverse the Json Tree in a type-safe manner.

Implements ola::web::JsonValue.

## ◆ Clone()

JsonValue * ola::web::JsonBool::Clone | ( |  | ) | const
| inlinevirtual

Make a copy of this JsonValue.

Implements ola::web::JsonValue.

## ◆ operator==()

bool ola::web::JsonBool::operator== | ( | const JsonValue & | other | ) | const
| inlinevirtual

Equality operator.

This implements equality as defined in section 3.6 of the JSON Schema Core document.

Implements ola::web::JsonValue.

The documentation for this class was generated from the following file:

- include/ola/web/Json.h